QA: severe compiler warnings

Where bugs go to lie down and rest

Moderator: Moderator

Post Reply
Message
Author
hasufell
Wayist
Posts: 16
Joined: Thu Aug 29, 2013 2:00 pm

QA: severe compiler warnings

#1 Post by hasufell »

QA Notice: Package triggers severe warnings which indicate that it
may exhibit random runtime failures.
../src/particles.c:974:2: warning: implicit declaration of function ‘luaopen_shaders’ [-Wimplicit-function-declaration]


QA Notice: Package triggers severe warnings which indicate that it
may exhibit random runtime failures.
../src/shaders.c:268:3: warning: array subscript is above array bounds [-Warray-bounds]
../src/shaders.c:269:3: warning: array subscript is above array bounds [-Warray-bounds]

hasufell
Wayist
Posts: 16
Joined: Thu Aug 29, 2013 2:00 pm

Re: QA: severe compiler warnings

#2 Post by hasufell »


darkgod
Master of Eyal
Posts: 10747
Joined: Wed Jul 24, 2002 9:26 pm
Location: Angolwen
Contact:

Re: QA: severe compiler warnings

#3 Post by darkgod »

Woops, fixed thanks
[tome] joylove: You can't just release an expansion like one would release a Kraken XD
--
[tome] phantomfrettchen: your ability not to tease anyone is simply stunning ;)

Post Reply